	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
	$key=mysqli_real_escape_string($connect, $_POST['key']);
	$nama_diskon=mysqli_real_escape_string($connect, $_POST['name_discount']);
	$keterangan=mysqli_real_escape_string($connect, $_POST['note']);
	$jenis=mysqli_real_escape_string($connect, $_POST['type']);
	$nominal=mysqli_real_escape_string($connect, $_POST['nominal']);

	$getusers = mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	      = mysqli_fetch_array($getusers);
	$jumlah   = mysqli_num_rows($getusers);
	
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);

	

	if ($jumlah > 0){
	
	mysqli_query($connect,"INSERT INTO discount(name_discount,
								  note,
								  type,
								  nominal,
                                  user) 
                    VALUES('$nama_diskon',
						   '$keterangan',
						   '$jenis',
						   '$nominal',
                           '$m[phone_number]')");
						   
	

 $json = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
   );

    echo json_encode($json);


	}else{
	
	$json = array(
    'status' 	=> 'true',
    'errCode' 	=> '00',
	'msg' 		=> 'User Not Found'
   );

    echo json_encode($json);	
	}
	?>